@font-face {
    font-family: 'Montserrat';
    src: url('./fuentes/Montserrat-Regular.woff2') format('woff2'),
        url('./fuentes/Montserrat-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* Estilo global */
body {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
}

/* Contenedor principal */
.container {
    width: 100%;
    max-width: 1200px;
    margin-left: 175px;
}


/* Títulos */
h1 {
    font-family: 'Century Gothic', sans-serif;
    font-size: 2.5em;
    color: #ff842c;
    text-align: center;
}

.container p {
    text-align: left;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    padding: auto;
}

h2 {
    font-size: 1.8em;
    color: #555;
    margin-top: 20px;
}

/* Listado */
ul {
    list-style-type: none;
    padding: 0;
}

li {
    margin: 8px 0;
    font-size: 1.1em;
}

li a {
    text-decoration: none;
    color: white;
    background-color: #1f775a;
    display: block;
    border-radius: 5px;
    padding: 10px;
    font-family: 'Montserrat', sans-serif;
}

li a:hover {
    background-color: #145a3f;
}

/* Enlace de vuelta */
.back-link {
    display: inline-block;
    margin-top: 20px;
    padding: 8px 16px;
    color: white;
    background-color: #1f775a;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1.1em;
}

.back-link:hover {
    background-color: #145a3f;
}

/* Contenedor en dos columnas */
.content-columns {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

/* Columna izquierda (contenido) */
.content-container {
    flex: 1;
    margin-right: 50px;
    padding: 10px;
    border-radius: 5px;
}

/* Columna derecha (espacio publicitario) */
.ad-space {
    
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 5px;
    text-align: center;
    padding: 10px;
    margin-top: 25px;
    margin-bottom: 25px;
}

.ad-space h3 {
    margin-top: 0;
}

.subcontent {
    display: none;
    background-color: rgb(245, 143, 70);
    color: black;
    padding: 8px;
    margin-top: 10px;
    border-radius: 5px;
    font-family: 'Montserrat', sans-serif;
}

.subcontent.show {
    display: block;
}

.banner {
    display: block;
    width: 90%;
    height: auto;
    margin: 40px auto;
    object-fit: cover;
}
